linux-lts-quantal: 3.5.0-43.66~precise1 -proposed tracker

Bug #1243949 reported by Brad Figg on 2013-10-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.5.0-43.66~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 23. October 2013 22:09 UTC
kernel-stable-master-bug:1242895
kernel-stable-Prepare-package-end:Friday, 25. October 2013 03:30 UTC
kernel-stable-Promote-to-proposed-start:Friday, 25. October 2013 03:30 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. October 2013 04:04 UTC
kernel-stable-Verification-testing-start:Friday, 25. October 2013 05:08 UTC
kernel-stable-Certification-testing-start:Friday, 25. October 2013 05:08 UTC
kernel-stable-Security-signoff-start:Friday, 25. October 2013 05:08 UTC
kernel-stable-Regression-testing-start:Friday, 25. October 2013 05:08 UTC
kernel-stable-Regression-testing-end:Friday, 25. October 2013 19:04 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 23:05 UTC
kernel-stable-Verification-testing-end:Tuesday, 05. November 2013 22:05 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 06. November 2013 09:04 UTC
kernel-stable-Certification-testing-end:Wednesday, 06. November 2013 09:04 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 01:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 02:08 UTC

Brad Figg (brad-figg) on 2013-10-23
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-10-25
description: updated
Brad Figg (brad-figg) on 2013-10-25
description: updated
Para Siva (psivaa) on 2013-10-25
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-25
description: updated

Hardware Certification have begun testing this -proposed kernel.

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-28
description: updated

We have encountered the following regression when testing this kernel:

https://bugs.launchpad.net/ubuntu/+source/linux-lts-quantal/+bug/1247039

We also need to test with Quantal itself and see if the issue also occurs there.

Brad Figg (brad-figg) on 2013-11-05
description: updated

Hardware Certification has completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.5.0-43.66~precise1/precise-3.5-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-11-06
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (19.2 KiB)

This bug was fixed in the package linux-lts-quantal - 3.5.0-43.66~precise1

---------------
linux-lts-quantal (3.5.0-43.66~precise1) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1243949

  [ Timo Aaltonen ]

  * SAUCE: ubuntu/i915: silence unclaimed register poking debug messages
    - LP: #1138787

  [ Upstream Kernel Changes ]

  * Revert "xfs: fix _xfs_buf_find oops on blocks beyond the filesystem
    end"
    - LP: #1236041
    - CVE-2013-1819 fix backport:
  * Revert "sctp: fix call to SCTP_CMD_PROCESS_SACK in
    sctp_cmd_interpreter()"
    - LP: #1241093
  * get rid of full-hash scan on detaching vfsmounts
    - LP: #1226726
  * Smack: Fix the bug smackcipso can't set CIPSO correctly
    - LP: #1236743
  * SAUCE: (no-up) Only let characters through when there are active
    readers.
    - LP: #1208740
  * usb: xhci: define port register names and use them instead of magic
    numbers
    - LP: #1229576
  * usb: xhci: add USB2 Link power management BESL support
    - LP: #1229576
  * iwl4965: fix rfkill set state regression
    - LP: #1241093
  * ath9k_htc: Restore skb headroom when returning skb to mac80211
    - LP: #1241093
  * ALSA: opti9xx: Fix conflicting driver object name
    - LP: #1241093
  * SUNRPC: Fix memory corruption issue on 32-bit highmem systems
    - LP: #1241093
  * drm/i915: ivb: fix edp voltage swing reg val
    - LP: #1241093
  * drm/vmwgfx: Split GMR2_REMAP commands if they are to large
    - LP: #1241093
  * ALSA: ak4xx-adda: info leak in ak4xxx_capture_source_info()
    - LP: #1241093
  * Bluetooth: Add support for Foxconn/Hon Hai [0489:e04d]
    - LP: #1241093
  * [SCSI] sg: Fix user memory corruption when SG_IO is interrupted by a
    signal
    - LP: #1241093
  * xen-gnt: prevent adding duplicate gnt callbacks
    - LP: #1241093
  * usb: config->desc.bLength may not exceed amount of data returned by the
    device
    - LP: #1241093
  * USB: cdc-wdm: fix race between interrupt handler and tasklet
    - LP: #1241093
  * xhci-plat: Don't enable legacy PCI interrupts.
    - LP: #1241093
  * ASoC: wm8960: Fix PLL register writes
    - LP: #1241093
  * rculist: list_first_or_null_rcu() should use list_entry_rcu()
    - LP: #1241093
  * USB: mos7720: use GFP_ATOMIC under spinlock
    - LP: #1241093
  * USB: mos7720: fix big-endian control requests
    - LP: #1241093
  * staging: comedi: dt282x: dt282x_ai_insn_read() always fails
    - LP: #1241093
  * usb: ehci-mxc: check for pdata before dereferencing
    - LP: #1241093
  * usb: xhci: Disable runtime PM suspend for quirky controllers
    - LP: #1241093
  * USB: OHCI: Allow runtime PM without system sleep
    - LP: #1241093
  * ACPI / EC: Add HP Folio 13 to ec_dmi_table in order to skip DSDT scan
    - LP: #1241093
  * ACPI / EC: Add ASUSTEK L4R to quirk list in order to validate ECDT
    - LP: #1241093
  * USB: fix build error when CONFIG_PM_SLEEP isn't enabled
    - LP: #1241093
  * ALSA: hda - hdmi: Fallback to ALSA allocation when selecting CA
    - LP: #1241093
  * regmap: silence GCC warning
    - LP: #1241093
  * target: Fix trailing ASCII space usage in INQUIRY vendor+model
    - LP: #1241093
  * iwlwifi: dvm: don't send BT_CO...

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers